Name:          jetty-assembly-descriptors
Version:       1.0
Release:       %mkrel 4
Summary:       Jetty Toolchain :: Assembly Descriptors
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.eclipse.org/jetty/
# svn export http://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty-toolchain/tags/jetty-assembly-descriptors-1.0/
# tar czf jetty-assembly-descriptors-1.0-src-svn.tar.gz jetty-assembly-descriptors-1.0
Source0:       jetty-assembly-descriptors-1.0-src-svn.tar.gz
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jetty-build-support
BuildRequires: apache-commons-parent

BuildRequires: ant
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Jetty Toolchain :: Assembly Descriptors.

%prep
%setup -q -n jetty-assembly-descriptors-%{version}
chmod -R go=u-w *
%build

mvn-rpmbuild -e install

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 target/%{name}-*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  ln -sf %{name}-%{version}.jar %{name}.jar
)

install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*


%changelog
* Sun Dec 22 2013 dmorgan <dmorgan> 1.0-4.mga4
+ Revision: 559884
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 355348
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 gil <gil> 1.0-1.mga2
+ Revision: 165202
- imported package jetty-assembly-descriptors

